﻿namespace Phoenix.Model.Bll.Interface
{
    using System;
    using System.Collections.Generic;

    using Phoenix.Model.Bll.Domain;

    public interface IPrescriptionRepository : IRepository<Prescription>
    {
        #region Methods

        /// <summary>
        /// Searches the list of prescription for the specified patient
        /// from the specified 'from' date to the specified 'to' date.
        /// </summary>
        /// <param name="patient">The patient.</param>
        /// <param name="from">The 'from' date.</param>
        /// <param name="to">The "to" date.</param>
        /// <returns></returns>
        List<Prescription> Search(Patient patient, DateTime from, DateTime to);

        #endregion Methods
    }
}