﻿namespace Phoenix.Model.Dal.Repositories
{
    using System.Linq;

    using NHibernate.Linq;

    using Phoenix.Model.Bll.Domain;
    using Phoenix.Model.Bll.Interface;

    public class PracticeRepository : Repository<Practice>, IPracticeRepository
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="PracticeRepository"/> class.
        /// </summary>
        public PracticeRepository()
            : base("Practice", "Title")
        {
        }

        #endregion Constructors

        #region Methods

        /// <summary>
        /// Determines whether the specified item is referenced.
        /// </summary>
        /// <param name="item">The item.</param>
        /// <returns>
        /// 	<c>true</c> if the specified item is referenced; otherwise, <c>false</c>.
        /// </returns>
        public override bool IsReferenced(Practice item)
        {
            return (from User u in this.Session.Linq<User>()
                    where u.MainPractice == item
                    select u).Count() > 0;
        }

        #endregion Methods
    }
}