﻿namespace Phoenix.Presenter.Events
{
    using Phoenix.Model.Bll.Domain;

    /// <summary>
    /// EventArgs that contains a Patient.
    /// </summary>
    public class PatientEventArgs : System.EventArgs
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="PatientEventArgs"/> class.
        /// </summary>
        /// <param name="patient">The patient.</param>
        public PatientEventArgs(Patient patient)
        {
            this.Patient = patient;
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the Patient.
        /// </summary>
        /// <value>The Patient.</value>
        public Patient Patient
        {
            get;
            private set;
        }

        #endregion Properties
    }
}