﻿namespace Phoenix.Presenter.Events
{
    using System;

    using Phoenix.Presenter.Sessions;

    /// <summary>
    /// Event args that contains SessionManager
    /// </summary>
    public class SessionManagerEventArgs : EventArgs
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="SessionEventArgs"/> class.
        /// </summary>
        /// <param name="sessions">The sessions.</param>
        public SessionManagerEventArgs(SessionCollection sessions)
        {
            this.SessionCollection = sessions;
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="SessionEventArgs"/> class.
        /// </summary>
        public SessionManagerEventArgs()
        {
            this.SessionCollection = new SessionCollection();
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets the sessions contained in the event.
        /// </summary>
        /// <value>The sessions.</value>
        public SessionCollection SessionCollection
        {
            get;
            private set;
        }

        #endregion Properties
    }
}