﻿namespace Phoenix.Presenter.Interfaces
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;

    using Phoenix.Model.Bll.Domain;

    public interface IAdministrationPresenter
    {
        #region Events

        /// <summary>
        /// Occurs when the GUI item is refreshed.
        /// </summary>
        event EventHandler<RefreshEventArgs> Refreshed;

        #endregion Events

        #region Properties

        /// <summary>
        /// Gets or sets the doctors.
        /// </summary>
        /// <value>The doctors.</value>
        IList<Doctor> Doctors
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the doctor types.
        /// </summary>
        /// <value>The doctor types.</value>
        IList<DoctorType> DoctorTypes
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the drugs.
        /// </summary>
        /// <value>The drugs.</value>
        IList<Drug> Drugs
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the drug types.
        /// </summary>
        /// <value>The drug types.</value>
        IList<DrugType> DrugTypes
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the insurances.
        /// </summary>
        /// <value>The insurances.</value>
        IList<Insurance> Insurances
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the item to manage.
        /// </summary>
        /// <value>The item to manage.</value>
        object ItemToManage
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the pathologies.
        /// </summary>
        /// <value>The pathologies.</value>
        IList<Pathology> Pathologies
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the pathology types.
        /// </summary>
        /// <value>The pathology types.</value>
        IList<PathologyType> PathologyTypes
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the practices.
        /// </summary>
        /// <value>The practices.</value>
        IList<Practice> Practices
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the relation types.
        /// </summary>
        /// <value>The relation types.</value>
        IList<RelationType> RelationTypes
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the reputations.
        /// </summary>
        /// <value>The reputations.</value>
        IList<Reputation> Reputations
        {
            get;
            set;
        }

        #endregion Properties
    }
}