﻿namespace Phoenix.Presenter.Interfaces
{
    using System;
    using System.Collections.Generic;

    using Phoenix.Helpers.Misc;
    using Phoenix.Model.Bll.Domain;

    public interface ILoginPresenter
    {
        #region Events

        /// <summary>
        /// Occurs when a user is connecting.
        /// </summary>
        event EventHandler<EventArgs<User>> UserConnecting;

        /// <summary>
        /// Occurs when users are loading.
        /// </summary>
        event EventHandler UsersLoading;

        #endregion Events

        #region Properties

        /// <summary>
        /// Gets the password.
        /// </summary>
        /// <value>The password.</value>
        string Password
        {
            get;
        }

        /// <summary>
        /// Gets or sets a value indicating whether the connection succeeded.
        /// </summary>
        /// <value><c>true</c> if succeeded; otherwise, <c>false</c>.</value>
        bool Succeeded
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the users.
        /// </summary>
        /// <value>The users.</value>
        List<User> Users
        {
            get;
            set;
        }

        #endregion Properties
    }
}