﻿namespace Phoenix.Presenter.Interfaces.Input
{
    using System;

    using Phoenix.Helpers.Misc;
    using Phoenix.Model.Bll.Domain;
    using Phoenix.Presenter.Helpers;

    public interface IUserInputPresenter
    {
        #region Events

        /// <summary>
        /// Occurs when a user action occured.
        /// </summary>
        event EventHandler<EventArgs<Usage>> ActionOccured;

        #endregion Events

        #region Properties

        /// <summary>
        /// Gets the item to manage.
        /// </summary>
        /// <value>The item to manage.</value>
        User ItemToManage
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the usage.
        /// </summary>
        /// <value>The usage.</value>
        Usage Usage
        {
            get;
            set;
        }

        #endregion Properties
    }
}