﻿namespace Phoenix.View.Configuration
{
    /// <summary>
    /// Provides default feature to implement the Memento pattern.
    /// </summary>
    interface IConfigurationMemento
    {
        #region Methods

        /// <summary>
        /// Commits the changes done in the config file.
        /// </summary>
        void CommitChanges();

        /// <summary>
        /// Rollbacks this instance to the previous saved state.
        /// </summary>
        void Rollback();

        /// <summary>
        /// Saves the state of this instance.
        /// </summary>
        void SaveState();

        #endregion Methods
    }
}