﻿namespace Phoenix.View.Helpers
{
    using System;
    using System.Windows.Forms;

    using Phoenix.Model.Bll.Domain;

    /// <summary>
    /// Provides a GUI tool to manage a meeting
    /// </summary>
    public partial class MeetingBox : Form
    {
        #region Fields

        private const string TITLE = "From {0} to {1}";

        private WorkMeeting meeting;

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="MeetingBox"/> class.
        /// </summary>
        public MeetingBox()
        {
            InitializeComponent();
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the meeting to manage.
        /// </summary>
        /// <value>The meeting.</value>
        public WorkMeeting Meeting
        {
            get
            {
                return this.meeting;
            }
            set
            {
                this.meeting = value;
                this.tb_Title.Text = value.Title;
                this.tb_Remark.Text = value.Remark;
                this.Text = string.Format(TITLE, value.StartDate, value.EndDate);
            }
        }

        #endregion Properties

        #region Methods

        private void btn_OK_Click(object sender, EventArgs e)
        {
            if (!string.IsNullOrEmpty(this.tb_Title.Text))
                this.meeting.Title = this.tb_Title.Text;
            this.meeting.Remark = this.tb_Remark.Text;

            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        #endregion Methods
    }
}