﻿namespace Phoenix.View.Management.Controls
{
    using Phoenix.Model.Bll.Domain;
    using Phoenix.Presenter.Management.Controls;

    /// <summary>
    /// Manage the pathology types
    /// </summary>
    public class PathologyTypeManagerControl : GeneralManagerControl<PathologyType>
    {
        #region Fields

        private PathologyType pathologyType = new PathologyType();

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="PathologyTypeManagerControl"/> class.
        /// </summary>
        public PathologyTypeManagerControl()
            : base()
        {
            this.Usage = Phoenix.Presenter.Helpers.Usage.Insert;
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the reputation.
        /// </summary>
        /// <value>The reputation.</value>
        public override PathologyType ItemToManage
        {
            get
            {
                this.pathologyType.Title = this.tb_Name.Text;
                this.pathologyType.Remark = this.tb_Remarks.Text;
                return this.pathologyType;
            }
            set
            {
                this.tb_Remarks.Text = value.Remark;
                this.tb_Name.Text = value.Title;
                this.pathologyType = value;
            }
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Sets an error message on empty name for the 
        /// reputation.
        /// </summary>
        /// <param name="msg">The MSG.</param>
        public void SetEmptyNameError(string msg)
        {
            this.ep_Error.SetError(this.tb_Name, msg);
        }

        #endregion Methods
    }
}